<?php
/**
 * A generic resolver class
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class BaseResolver extends BaseFrameworkSystem {
	/**
	 * Class name
	 */
	private $className = "";

	// Exception constants
	const EXCEPTION_INVALID_COMMAND    = 0x1d0;
	const EXCEPTION_INVALID_CONTROLLER = 0x1d1;
	const EXCEPTION_INVALID_ACTION     = 0x1d2;

	/**
	 * Protected constructor
	 *
	 * @param	$className	Real name of the class
	 * @return	void
	 */
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);

		// Clean up a little
		$this->removeNumberFormaters();
		$this->removeSystemArray();
	}

	/**
	 * Setter for class name
	 *
	 * @param	$className	Name of the class
	 * @return	void
	 */
	protected final function setClassName ($className) {
		$this->className = $className;
	}

	/**
	 * Getter for class name
	 *
	 * @return	$className	Name of the class
	 */
	public final function getClassName () {
		return $this->className;
	}
}

// [EOF]
?>
